package com.wecloud.imserver.client.api;

import com.wecloud.imserver.client.model.vo.LineChart;
import com.wecloud.imserver.client.model.vo.StatisticsVo;

import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.List;

public interface ImOverview {

    HashMap<String,Integer> overview(Long appId);

    StatisticsVo groupStatistics(Long appId, LocalDateTime start, LocalDateTime end);

    List<LineChart> activeUser(Long appId, LocalDateTime start, LocalDateTime end);

}
